org.hibernate.search.backend.impl

## Class WorkQueue

- java.lang.Object
- - org.hibernate.search.backend.impl.WorkQueue

-     public class WorkQueue
      extends Object

  Author:
    Emmanuel Bernard, Sanne Grinovero

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkQueue(ExtendedSearchIntegrator extendedIntegrator)`
    `WorkQueue(ExtendedSearchIntegrator extendedIntegrator, WorkPlan plan)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Work work)`
    `void` | `clear()`
    `List<LuceneWork>` | `getSealedQueue()`
    `void` | `prepareWorkPlan()` Compiles the work collected so far in an optimal execution plan, storing the list of lucene operations to be performed in the sealedQueue.
    `int` | `size()` Returns an estimate of the to be performed operations
    `WorkQueue` | `splitQueue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkQueue

          public WorkQueue(ExtendedSearchIntegrator extendedIntegrator)

    - #### WorkQueue

          public WorkQueue(ExtendedSearchIntegrator extendedIntegrator,
                           WorkPlan plan)

  - ### Method Detail

    - #### add

          public void add(Work work)

    - #### splitQueue

          public WorkQueue splitQueue()

    - #### getSealedQueue

          public List<LuceneWork> getSealedQueue()

    - #### clear

          public void clear()

    - #### size

          public int size()

      Returns an estimate of the to be performed operations
      Returns:
        the approximate size
      See Also:
        `WorkPlan.size()`

    - #### prepareWorkPlan

          public void prepareWorkPlan()

      Compiles the work collected so far in an optimal execution plan, storing the list of lucene operations to be performed in the sealedQueue.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved